import request from "@/utils/httpRequest";
import { FINANCE_PATH as prefix } from "../../AppPath";

export default {
	list: function (params) {
		return request({
			url: prefix + "/cwFillingbatch/list",
			method: "get",
			params: params,
		});
	},
	queryById: function (id) {
		return request({
			url: prefix + "/cwFillingbatch/queryById",
			method: "get",
			params: { id: id },
		});
	},
	remove: function (ids) {
		return request({
			url: prefix + "/cwFillingbatch/delete",
			method: "delete",
			params: { ids: ids },
		});
	},
	getProjectList: function (params) {
		return request({
			url: prefix + "/cwFillingbatch/getProjectList",
			method: "get",
			params: params,
		});
	},
	saveForm: function (inputForm) {
		return request({
			url: prefix + `/cwFillingbatch/save`,
			method: "post",
			data: inputForm,
		});
	},
	updateStatusById: function (data) {
		return request({
			url: prefix +  "/cwFillingbatch/updateStatusById",
			method: "post",
			data: data,
		});
	},
	exportTemplate: function () {
		return request({
			url: prefix + "/cwFillingbatch/template",
			method: "get",
			responseType: "blob",
		});
	},
	importDetail: function (data) {
		return request({
			url: prefix + "/cwFillingbatch/importDetail",
			method: "post",
			data: data,
		});
	},




};
